

# ==========================================================
#
# Permite obtener un nombre de fichero temporal en la carpeta
# de ficheros temporales del sistema.
#
# Por ejemplo:
#
#   print getTempFile("capa", ".shp")
#
# En un sistema linux mostrara:
#
#   /tmp/taller/capa-55b798f1.shp
#


# https://docs.python.org/2/library/os.path.html
import tempfile
# https://docs.python.org/2/library/tempfile.html
import os
# https://docs.python.org/2/library/time.html
import time

def getTempFile(name, ext):
    tempdir = os.path.join(tempfile.gettempdir(),"taller")
    if not os.path.isdir(tempdir):
      os.makedirs(tempdir)
    f = os.path.join(
      tempdir,
      "%s-%x%s" % (name,time.time(),ext)
    )
    return f
